<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DataMenuDemnaechstMenue extends DataMenu
{
  public function __construct($pUrlparameter)
  {
    parent::__construct($pUrlparameter);
    $this->exportadapter = new ExpKursuebersicht();
  }

  public function getsight($pSightID = 232)
  {
    parent::getsight($pSightID);
  }

  public function getdataarraybody()
  {
    $api = Kufer\Web\Webbasys\Includee\Api\KalenderAPIFactory::getKalenderAPI();
    $this->dataarraybody = $api->getKurse4DemnaechstMenue();
    $this->nrOfMainBodyElements = count($this->dataarraybody);
  }
}